/* SCSS Document */

/* ##################################################### */
/* -------------- IMPORT FOR MEDIA QUERIES ------------- */
/* ##################################################### */



/* ##################################################### */
/* -------------------- IMPORT FONTS ------------------- */
/* ##################################################### */






/* ##################################################### */
/* ---------------------- INCLUDES ---------------------- */
/* ##################################################### */

@import "include/_resetCSS.scss";
@import "include/_fonts.scss";
@import "include/_animations.scss";
@import "include/_variables.scss";
@import "include/_hr_style.scss";
@import "include/_header.scss";
@import "include/_slider.scss";
//==> Services Section
@import "include/_services.scss";
//==> Portfolio Section
@import "include/_portfolio.scss";
//==> Contact Section
@import "include/_contact.scss";
//==> Footer
@import "include/_footer.scss";


/* ======================== */
/* ---> GENERAL CLASS <- */
/* ======================== */

* { font-family: roboto, sans-serif; }

body {
    transition-duration: 0.5s;
}


// H2 Section Service et Portfolio
section > h2 { 
    text-transform: uppercase;
    font-size: 2.5em;
    text-align: center;
    position: relative; top: 20px;
}

.subtitle       {
    width: 35%; 
    margin: 0 auto;  
    text-align: center;  
}

// Erreurs formulaire gestion envoie email
div#retour-form {
    position: relative;
    bottom: 600px;
    width: 35%;
    z-index: 1000;
    margin: auto;

    p {
        font-size:  1.2em;
        color: $white;
        text-align: center;
        padding: 15px;
    }

    p#warn {
        background-color: rgba(238, 29, 29, 0.527);
        border: 2px solid yellow;
        
    }
  
    p#succ {
        background-color: rgba(92, 236, 9, 0.781);
        border-radius: 10px;
        border: 2px solid $white;
    }

    .btn {
        margin: 15px;
        width: 18%;
        height: 28px;
        background-color: $light-blue;

        &:hover {
            background-color: $dark-blue;
        }
    }

    #close {

    }
}

@media only screen and (max-width: 758px) {
    div#retour-form {
        width: 55%;
    }
}


